<?xml version="1.0" encoding="ISO-8859-1"?>
  <!-- 
    This XSL sheet converts Tag Library Documentation into a jar file
    manifest.

    See the other XML documents in this distribution for more information on 
    how to format the Tag Library Documentation XML files.  Basically, you
    just write a TLD, leave out the DTD, and add whatever other XML elements
    you need for other purposes.  This XSL will ignore any elements that are not 
    part of the TLD proper.

    Scott Stirling
    sstirling@mediaone.net
    1/1/2001
  -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:xalan="http://xml.apache.org/xslt"
  xmlns:java="http://xml.apache.org/xslt/java"
  exclude-result-prefixes="java"
  version="1.0">
  <!-- Output method and formatting -->
  <xsl:output method="text" indent="no"/>

<xsl:param name="release">UNKNOWN</xsl:param>
<xsl:variable name="date" select="java:java.util.Date.new()"/>
<xsl:variable name="format">yyyyMMdd</xsl:variable>
<xsl:variable name="formatter" select="java:java.text.SimpleDateFormat.new($format)"/>

<xsl:template match="/document">
  <xsl:apply-templates select="taglib"/>
</xsl:template>

<xsl:template match="taglib">
Name: org.apache.taglibs.<xsl:value-of select="short-name"/>
Comment: <xsl:value-of select="display-name"/><xsl:text> </xsl:text><xsl:value-of select="java:toString($date)"/>
Implementation-Title: org.apache.taglibs.<xsl:value-of select="short-name"/>
<xsl:choose>
  <xsl:when test="$release='UNKNOWN'">
Implementation-Version: <xsl:value-of select="tlib-version"/>.N<xsl:value-of select="java:format($formatter,$date)"/>
  </xsl:when>
  <xsl:otherwise>
Implementation-Version: <xsl:value-of select="$release"/>
  </xsl:otherwise>
</xsl:choose>
Implementation-Vendor: Apache Software Foundation
Implementation-URL: http://jakarta.apache.org/taglibs
</xsl:template>

</xsl:stylesheet>
